Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225588 - luci web app does not enforce selection of fence port
Summary: luci web app does not enforce selection of fence port
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Ryan McCabe
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 15:22 UTC by Len DiMaggio
Modified: 2009-04-16 22:58 UTC (History)
6 users (show)

Fixed In Version: RHSA-2007-0640
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 15:36:52 UTC


Attachments (Terms of Use)
Screenshot (deleted)
2007-01-31 15:22 UTC, Len DiMaggio
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0640 normal SHIPPED_LIVE Moderate: conga security, bug fix, and enhancement update 2007-11-08 14:19:24 UTC

Description Len DiMaggio 2007-01-31 15:22:39 UTC
Description of problem:

luci web app does not enforce selection of fence port - if the user omits the
fence port, this error is raised when an attempt is made to fence the node:

Jan 31 08:45:01 tng3-3 fence_node[6530]: agent "fence_apc" reports: failed: no
plug number 
Jan 31 08:45:01 tng3-3 fence_node[6530]: Fence of "tng3-1.lab.msp.redhat.com"
was unsuccessful 

Version-Release number of selected component (if applicable):
luci-0.8-30.el5

How reproducible:
100%

Steps to Reproduce:
1. Create a fence definition w/o the port # for the cluster node - see the
screenshot attachment.
2. Attempt to fence the node

Actual results:
The error listed above is written to /var/log/messages

Expected results:
The luci GUI should require the user to specify the fence port #.

Additional info:

Comment 1 Len DiMaggio 2007-01-31 15:22:39 UTC
Created attachment 147026 [details]
Screenshot

Comment 2 Ryan McCabe 2007-01-31 15:30:22 UTC
This is already fixed in HEAD (and for RHEL 4.5).

Comment 3 Kiersten (Kerri) Anderson 2007-04-23 17:12:02 UTC
Fixing Product Name.  Cluster Suite was merged into Enterprise Linux for version
5.0.

Comment 7 errata-xmlrpc 2007-11-07 15:36:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0640.html



Note You need to log in before you can comment on or make changes to this bug.